Jobs
Cancel a job
Accepted while status is queued or running. A job that already reached a terminal state answers job_not_cancellable.
AuthorizationBearer <token>
API key: Authorization: Bearer gsk_.... Used by the Godot plugin, the MCP server and the engine.
In: header
Path Parameters
id*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/jobs/string/cancel"{ "id": "string", "kind": "sprite", "status": "queued", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "progress": 0, "model": "string", "cost": { "tokens": 0 }, "input": { "property1": null, "property2": null }, "files_expired": true, "output": { "files": [ { "role": "string", "url": "http://example.com", "content_type": "string" } ] }, "error": { "code": "invalid_request", "message": "string", "details": { "property1": null, "property2": null } }}